org.apache.synapse.commons.emulator.core

## Class Emulator

- java.lang.Object
- - java.lang.Thread
  - - org.apache.synapse.commons.emulator.core.Emulator

- All Implemented Interfaces:
    java.lang.Runnable

      public class Emulator
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Emulator()` Constructor of the class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTTPProtocolEmulator` | `getHttpProtocolEmulator()` Get the HTTPProtocolEmulator object.
    `void` | `run()`
    `void` | `shutdown(EmulatorType emulatorType)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Emulator

          public Emulator()

      Constructor of the class.

  - ### Method Detail

    - #### getHttpProtocolEmulator

          public HTTPProtocolEmulator getHttpProtocolEmulator()

      Get the HTTPProtocolEmulator object.
      Returns:
        object of HTTPProtocolEmulator

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### shutdown

          public void shutdown(EmulatorType emulatorType)

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.